net.sf.jasperreports.web.servlets

## Class SimpleJasperPrintAccessor

- java.lang.Object
- - net.sf.jasperreports.web.servlets.SimpleJasperPrintAccessor

- All Implemented Interfaces:
    java.io.Serializable, JasperPrintAccessor

      public class SimpleJasperPrintAccessor
      extends java.lang.Object
      implements JasperPrintAccessor, java.io.Serializable

  Generated report accessor used for fully generated reports.
  Version:
    $Id: SimpleJasperPrintAccessor.java 5880 2013-01-07 20:40:06Z teodord $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SimpleJasperPrintAccessor(JasperPrint jasperPrint)` Create a report accessor.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `JasperPrint` | `getFinalJasperPrint()` Returns the generated report, ensuring before that the report generation has ended.
    `JasperPrint` | `getJasperPrint()` Returns the generated report.
    `ReportExecutionStatus` | `getReportStatus()` Returns the status of the report execution.
    `ReportPageStatus` | `pageStatus(int pageIdx, java.lang.Long pageTimestamp)` Ensures that a page is available in the generated report.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SimpleJasperPrintAccessor

          public SimpleJasperPrintAccessor(JasperPrint jasperPrint)

      Create a report accessor.
      Parameters:
        `jasperPrint` - the generated report

  - ### Method Detail

    - #### pageStatus

          public ReportPageStatus pageStatus(int pageIdx,
                                    java.lang.Long pageTimestamp)

      Description copied from interface: `JasperPrintAccessor`
      Ensures that a page is available in the generated report.
      Specified by:
        `pageStatus` in interface `JasperPrintAccessor`
      Parameters:
        `pageIdx` - the page index
      Returns:
        the status of the requested page

    - #### getJasperPrint

          public JasperPrint getJasperPrint()

      Description copied from interface: `JasperPrintAccessor`
      Returns the generated report.
      Specified by:
        `getJasperPrint` in interface `JasperPrintAccessor`
      Returns:
        the generated report

    - #### getFinalJasperPrint

          public JasperPrint getFinalJasperPrint()

      Description copied from interface: `JasperPrintAccessor`
      Returns the generated report, ensuring before that the report generation has ended.
      Specified by:
        `getFinalJasperPrint` in interface `JasperPrintAccessor`
      Returns:
        the final generated report

    - #### getReportStatus

          public ReportExecutionStatus getReportStatus()

      Description copied from interface: `JasperPrintAccessor`
      Returns the status of the report execution.
      Specified by:
        `getReportStatus` in interface `JasperPrintAccessor`
      Returns:
        the status of the report execution

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com